# Add allowlist record

Add an address or domain to the allowlist table

Endpoint: POST /v3/{domain_name}/whitelists
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain to add the allowlist entry to

## Request fields (application/form-data):

  - `address` (string, required)
    Valid email address if you would like to allowlist email address (prior over 'domain' parameter)

  - `domain` (string)
    Valid domain name if you would like allowlist entire domain name

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `type` (string, required)
    Type of allowlist

  - `value` (string, required)
    Domain or address

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message


